org.eclipse.rdf4j.http.client.query

## Class AbstractHTTPUpdate

- java.lang.Object
- - org.eclipse.rdf4j.query.impl.AbstractOperation
  - - org.eclipse.rdf4j.query.impl.AbstractUpdate
    - - org.eclipse.rdf4j.http.client.query.AbstractHTTPUpdate

- All Implemented Interfaces:
    Operation, Update
  Direct Known Subclasses:
    HTTPUpdate, SPARQLUpdate

      public abstract class AbstractHTTPUpdate
      extends AbstractUpdate

  Base class for any `Update` operation over HTTP.
  Author:
    Andreas Schwarte

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `baseURI`
    `protected QueryLanguage` | `queryLanguage`
    `protected String` | `queryString`

    - ### Fields inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

      `bindings, dataset, includeInferred`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractHTTPUpdate(SPARQLProtocolSession httpClient, QueryLanguage queryLanguage, String queryString, String baseURI)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBaseURI()`
    `Binding[]` | `getBindingsArray()`
    `protected SPARQLProtocolSession` | `getHttpClient()`
    `QueryLanguage` | `getQueryLanguage()`
    `String` | `getQueryString()`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.Update

      `execute`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.Operation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

- - ### Field Detail

    - #### queryLanguage

          protected final QueryLanguage queryLanguage

    - #### queryString

          protected final String queryString

    - #### baseURI

          protected final String baseURI

  - ### Constructor Detail

    - #### AbstractHTTPUpdate

          protected AbstractHTTPUpdate(SPARQLProtocolSession httpClient,
                                       QueryLanguage queryLanguage,
                                       String queryString,
                                       String baseURI)

  - ### Method Detail

    - #### getHttpClient

          protected SPARQLProtocolSession getHttpClient()

      Returns:
        Returns the `SPARQLProtocolSession` to be used for all HTTP based interaction

    - #### getBindingsArray

          public Binding[] getBindingsArray()

    - #### getBaseURI

          public String getBaseURI()

      Returns:
        Returns the baseURI.

    - #### getQueryLanguage

          public QueryLanguage getQueryLanguage()

      Returns:
        Returns the queryLanguage.

    - #### getQueryString

          public String getQueryString()

      Returns:
        Returns the queryString.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.